name: Feature request
description: Suggest an idea for Voyager
labels: [feature]
body:
  - type: markdown
    attributes:
      value: |
        Thanks for taking the time to fill out this feature request!
  - type: input
    id: laravel_version
    attributes:
      label: Laravel version
      description: The full Laravel version including minor and patch version
      placeholder: ex. 8.2.2
    validations:
      required: false
  - type: input
    id: php_version
    attributes:
      label: PHP version
      description: Your PHP version
      placeholder: ex. 7.4.21
    validations:
      required: false
  - type: input
    id: voyager_version
    attributes:
      label: Voyager version
      description: The full Voyager version including minor and patch version. When using the dev-version please attach the commit-id (1.x-dev#abcdef)
      placeholder: ex. 1.4.3
    validations:
      required: false
  - type: textarea
    id: description
    attributes:
      label: Description of problem
      description: A clear and concise description of what the problem is. Ex. I'm always frustrated when [...]
    validations:
      required: true
  - type: textarea
    id: solution
    attributes:
      label: Proposed solution
      description: A clear and concise description of what you want to happen.
    validations:
      required: true
  - type: textarea
    id: alternatives
    attributes:
      label: Alternatives considered
      description: A clear and concise description of any alternative solutions or features you've considered.
    validations:
      required: false
  - type: textarea
    id: additional_context
    attributes:
      label: Additional context
      description: Add any other context about the problem here.
    validations:
      required: false